org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl

## Class ResourceAttachmentChangeMergeViewerItem

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem
    - - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem.Container
      - - org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.ResourceAttachmentChangeMergeViewerItem

All Implemented Interfaces:
  Adapter, Adapter.Internal, IMergeViewerItem, IMergeViewerItem.Container

    public class ResourceAttachmentChangeMergeViewerItem
    extends MergeViewerItem.Container

A specific `MergeViewerItem` for `ResourceAttachmentChange`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem

`MergeViewerItem.Container`

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

`IMergeViewerItem.Container`

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

`IS_INSERTION_POINT`

### Constructor Summary

Constructors
Constructor and Description
`ResourceAttachmentChangeMergeViewerItem(Comparison comparison, Diff diff, Match match, IMergeViewer.MergeViewerSide side, AdapterFactory adapterFactory)`
`ResourceAttachmentChangeMergeViewerItem(Comparison comparison, Diff diff, Resource left, Resource right, Resource ancestor, IMergeViewer.MergeViewerSide side, AdapterFactory adapterFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IMergeViewerItem` `createMergeViewerItemFrom(EObject eObject)` Creates an IMergeViewerItem from an EObject.
`IMergeViewerItem[]` `getChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> filters)` Returns the children of this container.
`boolean` `hasChildren(IDifferenceGroupProvider groupProvider, com.google.common.base.Predicate<? super EObject> predicate)` Returns whether this container has at least one child.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem.Container

`cloneAsOpposite, getChildrenFeatures, getChildrenFeaturesFromEClass, getChildrenFeaturesFromItemProviderAdapter, getNoItemsArr, getParent`

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem

`createBasicContainer, createBasicContainer, createInsertionPoints, createMergeViewerItemFrom, filteredDiffs, getAdapterFactory, getAncestor, getBestSideValue, getComparison, getDiff, getLeft, getRight, getSide, getSideValue, isInsertionPoint, toString, visibleInMergeViewer, yieldsInsertionPoint, yieldsMergeViewerItem`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, isAdapterForType, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

`getAncestor, getDiff, getLeft, getRight, getSide, getSideValue, isInsertionPoint`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Constructor Detail

#### ResourceAttachmentChangeMergeViewerItem

    public ResourceAttachmentChangeMergeViewerItem(Comparison comparison,
                                                   Diff diff,
                                                   Resource left,
                                                   Resource right,
                                                   Resource ancestor,
                                                   IMergeViewer.MergeViewerSide side,
                                                   AdapterFactory adapterFactory)

See Also:
  `org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem.Container#Container(Comparison comparison, Diff diff, Object left, Object right, Object ancestor, MergeViewerSide side, AdapterFactory adapterFactory)`

#### ResourceAttachmentChangeMergeViewerItem

    public ResourceAttachmentChangeMergeViewerItem(Comparison comparison,
                                                   Diff diff,
                                                   Match match,
                                                   IMergeViewer.MergeViewerSide side,
                                                   AdapterFactory adapterFactory)

See Also:
  `org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.MergeViewerItem.Container#Container(Comparison, Diff, Match, MergeViewerSide, AdapterFactory)`

### Method Detail

#### hasChildren

    public boolean hasChildren(IDifferenceGroupProvider groupProvider,
                               com.google.common.base.Predicate<? super EObject> predicate)

Returns whether this container has at least one child. In some cases this methods avoids having to call the potential more costly `getChildren` method.

Specified by:
  `hasChildren` in interface `IMergeViewerItem.Container`
Overrides:
  `hasChildren` in class `MergeViewerItem.Container`
Parameters:
  `groupProvider` - the active group provider.
  `predicate` - the active predicate.
Returns:
  `true` if this container has at least one child
See Also:
  `MergeViewerItem.Container.hasChildren(IDifferenceGroupProvider, Predicate)`

#### getChildren

    public IMergeViewerItem[] getChildren(IDifferenceGroupProvider group,
                                          com.google.common.base.Predicate<? super EObject> filters)

Returns the children of this container. If this container has no children an empty array is returned (not `null`).

Specified by:
  `getChildren` in interface `IMergeViewerItem.Container`
Overrides:
  `getChildren` in class `MergeViewerItem.Container`
Parameters:
  `group` - the active group provider.
  `filters` - the active predicate.
Returns:
  the children of this container as an array
See Also:
  `MergeViewerItem.Container.getChildren(IDifferenceGroupProvider, Predicate)`

#### createMergeViewerItemFrom

    protected IMergeViewerItem createMergeViewerItemFrom(EObject eObject)

Creates an IMergeViewerItem from an EObject.

Overrides:
  `createMergeViewerItemFrom` in class `MergeViewerItem`
Parameters:
  `eObject` - the given eObject.
Returns:
  an IMergeViewerItem.